#include "memsize.h"
:userdoc.
:title.Jrjestelmmonitorin opastus
:body.

:h1 res=ID_MAIN.Esittely
:i1.Esittely
:artwork name='memsize.bmp' align=center.
:p.
Tm ohjelma monitoroi ja nytt useita jrjestelmresursseja
pivitten ne kerran sekunnissa prosessorikuorman niin salliessa.
Nytettvt ja monitoroitavat resurssit ovat&colon.
:p.
:hp2.Piv ja kellonaika:ehp2. - Piv ja kellonaika siin muodossa, jossa
ne CONFIG.SYS-tiedoston &apos.COUNTRY=&apos.-rivin mrmn
maan oletusasetuksen mukaan esitetn.
:p.
:hp2.Aika alkulatauksesta:ehp2. - Aika siit kun tyasema on viimeksi
kynnistetty ja OS/2 ladattu.
:p.
:hp2.Fyysist muistia vapaana:ehp2. - Fyysisen vapaan muistin mr
jrjestelmkutsun :hp1.DosMemAvail:ehp1. mukaan.
:note.Tm jrjestelmkutsu on osa OS/2&colon. vanhaa 16 bittist osaa, ja
ainoastaan palauttaa tiedon muistista, joka sijaitsee 16 megatavun rajan
alapuolella. Tt jrjestelmkutsua muutettiin juuri ennen OS/2 2.0&colon.
julkaisua siten, ettei se koskaan palauta lukua alle 512 kilotavua.
#ifdef USE_OS20MEMU
:note.Jos ohjelma :hpt.OS20MEMU:ehpt.:hdref res=60001.
ja sen ajuri on kytss, on tmn luvun arvo oikea. Prosessorikuorma
on tosin hieman suurempi.
#endif
:p.
:hp2.Virtuaalimuistia vapaana:ehp2. - Virtuaalimuistin vapaa mr
jrjestelmkutsun :hp1.DosQuerySysInfo:ehp1. mukaan.
Laskentakaava on seuraava: vapaa fyysinen muisti + tmn hetkisen
swapper.dat-tiedoston vapaa tila + vapaa levytila swapper.dat-tiedoston
levyll - varattu vapaa tila swapper.dat-tiedoston levyll, joka
mritelln CONFIG.SYS-tiedostossa SWAPPATH-rivill.
:p.
:hp2.swapper.dat'in koko:ehp2. - Tmn hetkinen SWAPPER.DAT-tiedoston koko.
Tt sivutustiedostoa kytetn OS/2&colon. virtuaalimuistin hallinnassa.  Tiedosto
etsitn tutkimalla CONFIG.SYS-tiedoston SWAPPATH-rivi.  Tll rivill
on tydellinen polku swapper.dat-tiedoston hakemistoon.
:p.
:hp2.Swap-tilaa vapaana:ehp2. - Vapaa levytila levyosiolla, jossa
swapper.dat-tiedosto sijaitsee, poislukien varattu vapaa tila.  Tm
arvo kertoo paljonko swapper.dat-tiedosto voi tarvittaessa kasvaa.
:p.
:hp2.Kyttmtn swap-tila:ehp2. - Tmn hetkisess swapper.dat-tiedostossa
oleva kyttmtn vapaa tila.  Kun tm arvo putoaa nollaan, kasvatetaan
swapper.dat-tiedoston kokoa.  Normaalisti koko kasvaa yhden megatavun
(1024 kilotavua) kerrallaan.
:p.
:hp2.Spool-hakemiston koko:ehp2. - OS/2&colon. tulostuspalvelun
tulostustiedostojen kuluttama levytila.  Tieto kattaa kaikkien tulostimien
kaikki tulostustiedostot.
:p.
:hp2.Prosessorikuorma:ehp2. - Arvio tyaseman mikroprosessorin kuormasta
prosentteina.  Arvio lasketaan keskiarvona edellisen sekunnin kuormasta.
:note.Tm toiminto ja PULSE-ohjelma eivt toimi yhtaikaa.
:hpt.Miksi?:ehpt.:hdref res=60002.
:note.Jos koneeseen on asennettu :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.
-ajuri, on arvio tarkempi.
:hpt.Miksi?:ehpt.:hdref res=60003.
:p.
:hp2.Aktiivisia tit:ehp2. - OS/2&colon. ohjelmaluettelon koko, joka on
likimrin sama kuin ikkunaluettelon (Window List) koko.  Ikkunaluettelo
saadaan esiin painamalla CTRL+ESC.
:note.Kaikkien ohjelmia ei nytet ikkunaluettelossa.  Jotkin
jrjestelmn perusohjelmat on tarkoituksella piilotettu.
:p.
:hp2.Prosessien mr:ehp2. - Tmn hetkinen prosessien mr OS/2&colon.ssa.
:p.
:hp2.Sikeiden mr:ehp2. - Tmn hetkinen ohjelmasikeiden mr
OS/2&colon.ssa.  Jokaisessa prosessissa on ainakin yksi ohjelmasie.
:p.
:hp2.Vapaa levytila yhteens:ehp2. - Kaikkien paikallisten
kiintolevyosioiden yhteen laskettu vapaa levytila.
:p.
:hp2.Aseman X vapaa tila:ehp2. - Vapaa levytila asemalla X.
:p.
Opastus on aktiivinen, kuten olet jo huomannut.  Ohjelmalle voidaan antaa
komentoja sen jrjestelmvalikon kautta.  Seuraavat komennot ovat kytss&colon.
:sl compact.
:li.:hpt.Talleta asetukset:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Palauta oletusasetukset:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Piilota otsikkorivi:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Muokkaa asetuksia...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Kalibroi kuormamittari:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Poista levyvirheet:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Kopioi leikepydlle:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Tuoteinformaatio:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Sulje:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Jo kuvattujen ominaisuuksien lisksi tm ohjelma hyvksyy komentoja
OS/2&colon. kirjasin- ja vripaleteista.  Ohjelma toimii mys DDE-palvelimena
kaikille nytettville resursseille.  DDE-sovelluksen nimi on MEMSIZE
ja resurssien nimet ovat resurssien oletusnimi, esim.
Fyysist muistia vapaana.

:h1 res=IDM_SAVE_APPLICATION.Talleta asetukset (Valikossa)
:i1.Talleta asetukset (Valikossa)
Tm toiminto tallettaa nykyisen ikkunan paikan ja tiedon otsikkorivin
nkymisest.  Seuraavan kerran kun ohjelma kynnistetn, kytetn
nit talletettuja tietoja.
:p.
Mys nppin F2 tekee tmn toiminnon.

:h1 res=IDM_RESET_DEFAULTS.Palauta oletusasetukset (Valikossa)
:i1.Palauta oletusasetukset (Valikossa)
Tm toiminto palauttaa ohjelman kirjasin ja vriarvot niiden
oletusarvoihin.

:h1 res=IDM_HIDE_CONTROLS.Piilota otsikkorivi (Valikossa)
:i1.Piilota otsikkorivi (Valikossa)
Tm toiminto vuorotellen piilottaa ja palauttaa nkyviin ohjelman
otsikkorivin.  Toiminto voidaan toteuttaa mys kaksoinapsauttamalla
ohjelman ikkunaa kummalla tahansa hiiren painikkeella.  Koska ohjelman
ikkunan helppo siirtminen OS/2&colon. typydll on kytnnllist,
on ikkunan siirtminen mahdollista mys tarttumalla kummalla tahansa
hiiren painikkeella ikkunasta ja liikuttamalla hiirt.
:p.
Mys nppinyhdistelm Alt+H tekee tmn toiminnon.

:h1 res=IDM_CONFIGURE.Muokkaa asetuksia... (Valikossa)
:i1.Muokkaa asetuksia... (Valikossa)
Tmn toiminnon valitseminen avaa ohjelman muokkausdialogi-ikkunan.

Listietoja: Valitse :hpt.Muokkaa asetuksia... (Dialogi):ehpt.:hdref res=IDD_CONFIGURE..
:note.Mys nppinyhdistelm Alt+C tekee tmn toiminnon.

:h2 res=IDD_CONFIGURE.Muokkaa asetuksia... (Dialogi)
Tss dialogi-ikkunassa muokataan ohjelman asetukset sopiviksi.  Muokkauksen
peruuttaminen ky painamalla ESCAPE-nppint tai painamalla vastaavaa
painiketta nytll.  Asetusten tallettaminen tehdn painamalla
ENTER-nppint tai OK-painiketta nytll.
.br
Muokattavat asiat ovat:
:p.
:hp2.Nytettvt resurssit:ehp2.
Voit valita mink tai mitk tahansa resurssit Asetusten muokkaus
-listasta.  Valitseminen tehdn korostamalla resurssin nime yhdell
hiiren napsautuksella.  Valinnan poistaminen ky samalla tavalla.  Voit
valita listalta haluamasi resurssit.
Voit mys vaihtaa resurssin nime nytll tai palauttaa sen
alkuperiseksi.  Vaihtaminen tehdn kaksoisnapsauttamalla resurssin
nime listassa.  Tllin nytlle avautuu dialogi, jossa muutos
voidaan tehd.
:p.
:hp2.Nyt 'K'ilotavuina:ehp2.
Nm valintanapit antavat mahdollisuuden valita nytetnk
suuret luvut kilotavuina aina, ei koskaan, vai silloin kun nytettv
luku on kooltaan yli 512 kilotavua (oletus).  Huomaa, ett
kilotavu on 1024 tavua (2^10), ei 1000.
:p.
:hp2.Monitorin prioriteetti:ehp2.
Tll asetuksella mrtn ohjelman monitorointisikeen absoluuttinen
prioriteetti.  Sie on luokaltaan aikakriittinen (time-critical).
Sikeen prioriteetti voi vaihdella 0&colon.sta 31&colon.een.  Prioriteetti 31 on
kaikkein korkein prioriteetti jrjestelmss.  Vain fyysiset
keskeytykset ovat prioriteetiltaan korkeampia.  Prioriteettitaso 0 on
aikakriittisen luokan matalin prioriteetti.  Normaalisti monitorointisikeen
prioriteetilla ei ole suurta merkityst.  Korkeampi prioriteetti tekee
monitoroitavien resurssien arvoista kuitenkin tarkempia.  Toisaalta
korkea prioriteetti saattaa aiheuttaa puuttuvia merkkej
kommunikointiohjelmissa.  Prioriteetti 1 voi olla hyv lhtkohta
kokeiluille.
:p.
:hp2.Pivitysvli:ehp2.
Tll asetuksella voit muuttaa monitoroitavien resurssien arvojen
pivitysvli nytll.  Arvo voi vaihdella 1.0 sekunnin ja 30.0
sekunnin vlill 0.1 sekunnin vlein.  Asetettava numeroarvo on
siis sekunnin kymmenesosia.
:p.
:hp2.Ikkunan kiinnitys:ehp2.
Nill valintanapeilla mrtn se ohjelman ikkunan kulma, joka
pysyy paikallaan kun ikkunan koko muuttuu.  Koko muuttuu kun
monitoroitavien resurssien mr muuttuu tai kun kytettv merkkilaji
muuttuu.
:p.
:hp2.Piilota otsikkorivi:ehp2.
Kun ohjelmaikkuna on normaalisti esill nytll, voidaan se nytt
otsikkorivin kera tai ilman sit.  Ohjelmaikkunan paikkaa voidaan aina
siirt tarttumalla siit kiinni ja siirtmll sit.  Otsikkorivi ei
vaikuta thn.  Yleens orsikkorivi kannattaa pit piilossa.
:p.
:hp2.Kellu plimmisen:ehp2.
Tll asetuksella aktivoidaan ohjelmaikkunan kelluminen.  Kun asetuksessa
on rasti paikoillaan, kelluu ohjelmaikkuna muiden ikkunoiden pll.
:p.
:hp2.Animoi:ehp2.
Tll asetuksella asetetaan ikkunan avautumisen ja sulkeutumisen
animoiminen.  Asetuksen ollessa aktiivinen avautuu ja sulkeutuu
ohjelmaikkuna kuten muutkin typydn kansiot nineen ja
animointineen, ellei nit asetuksia ole kytketty erikseen pois
kyttjrjestelmtasolla.
:p.
:hp2.Taulukkomuoto:ehp2.
Tll asetuksella muutetaan monitoroitavien resurssien nyttminen
sellaiseksi, ett muotoillaan taulukkoon joka vie mahdollisimman
vhn tilaa pystysuunnassa.  Kun asetus ei ole aktivoituna,
nytetn resurssit yhdess sarakkeessa.
:p.
:hp2.Nyt verkkolevyt:ehp2.
Tll asetuksella otetaan verkkolevyt mukaan monitoroitavien resurssien
joukkoon.  Verkkolevyjen vapaata levytilaa ei kuitenkaan lasketa mukaan
resurssiin Vapaa levytila yhteens.
:p.
:hp2.Nyt tied.jrj. tyypit:ehp2.
Tll asetuksella saadaan kunkin nytettvn levyn vapaan tilan yhteyteen
tieto ko. levyn tiedostojrjestelm.  Tm asetus levent ohjelmaikkunan
kokoa.
:p.
:hp2.Nyt asemien nimet:ehp2.
Tll asetuksella saadaan kunkin nytettvn levyn vapaan tilan yhteyteen
tieto ko. levyn nimist.  Tm asetus levent ohjelmaikkunan kokoa.
:p.
:hp2.Nyt sekunnit:ehp2.
Tm asetus lis kaikkiin nytettviin kellonaikoihin mukaan sekunnit
tuntien ja minuuttien yhteyteen.
:p.
:hp2.Vrit:ehp2.
Tll alueella on kolme vri.  Nit vrej kytetn ilmaisemaan
mittarin tasoa&colon. normaali, varoitus tai virhe.  Kaikilla mittareilla ei
ole kytss nm tasot.  Voit asettaa vrit vetmll ja pudottamalla
ne OS/2&colon.n vripaletista.

:h3 res=IDD_LABEL.Aseta resurssin nimi (Dialogi)
Tm dialogi-ikkuna nytt kytss olevan nimen ja oletusnimen
nytettvlle mittarille.  Ikkunassa on mys mittareiden varoitus- ja
virhetasot, jos sellaiset mittarille on mrttviss.  Voit muuttaa
kaikkia nit arvoja.  Kenttiin voit kirjoittaa mittarin nimen tai
uuden varoitus- ja virhetason arvon.  Varoitus- ja virhetason
arvoa voit muuttaa mys liikuttamalla liukureita.
:p.Kaikki arvot on palautettavissa oletusarvoihin painamalla
Oletus-painiketta.

:h1 res=IDM_RESETLOAD.Kalibroi kuormamittari (Valikossa)
:i1.Kalibroi kuormamittari (Valikossa)
Tm valikon kohta poistaa aiemman prosessorikuorman vaikutuksen
laskettaessa uutta prosessorikuormaa.

:h1 res=IDM_RESETDRIVES.Poista levyvirheet (Valikossa)
:i1.Poista levyvirheet (Valikossa)
Tm valikon kohta sallii kyttjn poistaa kaikki levyvirheet joita
saattaa ohjelmaikkunassa olla.  Levyvirheet poistuvat itsestn
ajan myt, mutta tll komennolla ne voidaan poistaa heti.

:h1 res=IDM_COPY.Kopioi leikepydlle (Valikossa)
:i1.Kopioi leikepydlle (Valikossa)
Tm valikon kohta kopioi tmn hetkisen ohjelmaikkunan sislln
leikepydlle kahdessa eri muodossa&colon. tekstin ja
bittikarttana.  Tekstiversio voidaan liitt suoraan mihin tahansa
tekstieditoriin.  Bittikarttaversio on graafinen kopio ohjelmaikkunan
sisllst.
:p.
Mys nppinyhdistelm Ctrl+Ins tekee tmn toiminnon.

:h1 res=IDM_ABOUT.Tuoteinformaatio (Valikossa)
:i1.Tuoteinformaatio (Valikossa)
Tm valikon kohta nytt ohjelman Tuoteinformaatio-dialogin.
Katso&colon. :hpt.Tuoteinformaatio (Dialogi):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Tuoteinformaatio (Dialogi)
Tm dialogi-ikkuna nytt ohjelman nimen, kuvakkeen ja
copyright-informaation.  Paina ENTER-, vlilynti- tai ESCAPE-nppint
poistuaksesi tai paina OK-painiketta hiirell.

:h1 res=IDM_EXIT.Sulje (Valikossa)
:i1.Sulje (Valikossa)
Tll valikon kohdalla poistutaan ohjelmasta ja suljetaan ohjelmaikkuna.

:h1 res=IDM_KEYS_HELP.Nppinopastus
:i1.Nppinopastus
Seuraavat nppimet ovat kytss&colon.
:sl compact.
:li.F1 - Opastus
:li.F2 - Talleta asetukset
:li.F3 - Sulje
:li.Alt+C - Muokkaa asetuksia
:li.Alt+H - Piilota otsikkorivi
:li.Ctrl+Ins - Kopioi leikepydlle
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Aseta alustustiedoston polkunimi (Dialogi)
:i1.Aseta alustustiedoston polkunimi (Dialogi)
Tm dialogi-ikkuna tulee esiin jos ohjelma ei lyd
alustustiedostoaan (INI).  Dialogissa kysytn miss tiedosto sijaitse
tai mihin se tulisi luoda.
:p.
Ainoastaan olemassa olevan hakemiston nimi hyvksytn.
Kun olet kirjoittanut hakemiston nimen, paina ENTER tai OK.
:p.
Jos haluat keskeytt ohjelman kynnistymisen, paina ESC.

:h1 res=60000.HRTIMER - Korkean tarkkuuden ajastin -ajuri
Kyttmll korkean tarkkuuden ajuria HRTIMER.SYS voidaan kytt
IBM PC -koneissa olevaa, mutta normaalisti kyttmtnt ajastinpiiri.
Sen tarkkuus on 840 nanosekuntia, eli 65536 kertaa parempi kuin normaali
ajastin (55 millisekuntia).
:p.
Ainoat tll hetkell tiedossa olevat paikat, josta ajuri sijaitsee, ovat&colon.
:hp4.CompuServe:ehp4., 
ja sen
:hp4.Device Driver Development:ehp4.
kirjastossa kohdassa
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
nimell
:hp4.TIMER.ZIP:ehp4.,
ja anonyymill FTP&colon.ll paikasta
:hp4.ftp.cdrom.com:ehp4. 
ja
:hp4.hobbes.nmsu.edu:ehp4..
Tiedosto on hakemistossa
:hp4./pub/os2/dev16:ehp4.,
nimell
:hp4.hrtimer.zip:ehp4..
:p.Tmn ajurin lhdekoodi oli IBM Personal Systems Developer -lehden
Fall 1991 -numerossa.  Ajuri on ilmainen, mutta sen alkuperinen
copyright kuuluu IBM&colon.lle.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - OS/2 Memory Utilization Map
OS20MEMU-ohjelma nytt erittin monipuolisesti muistin kytn
kyttjrjestelmn ja eri ohjelmien osalta.
:p.Ohjelma on saatavana anonyymill FTP&colon.ll mm. seuraavista paikoista&colon.
:hp4.ftp.cdrom.com:ehp4. 
ja
:hp4.hobbes.nmsu.edu:ehp4.
hakemistosta
:hp4./pub/os2/textutil:ehp4., 
nimell
:hp4.20memu.zip:ehp4..
:p.OS20MEMU on ilmaisohjelma. Sen on tehnyt IBM.
:note.Kyt versiota, joka on pivtty marraskuulle 1994 tai uudempaa,
koska vanhemmat versiot eivt toimi OS/2 Warpin kanssa.
#endif

:h1 res=60002.Mit konflikti PULSE-ohjelman kanssa tarkoittaa?
Tm ohjelma, kuten PULSE, CPULOAD, CPUMETER ja vastaavat ohjelmat
kaikki yrittvt mitata jrjestelmn kuormaa yrittmll tutkia
kuinka paljon niiden idle-tason matalimman prioriteetin sie pystyy tekemn
tiettyn aikana (likimrin&colon. saavat prosessoriaikaa).  Oletettavasti,
jos joku nist ohjelmista pystyy tekemn mit tahansa idle-tasolla,
on jrjestelmn prosessorikuorma minimaalinen.  Jos hukka-aikaa (idle time)
ei ole, on jrjestelmn prosessorikuorma 100 %.  Mit enemmn tm
ohjelma pystyy tekemn idle-tasolla (itse asiassa&colon. ohjelman idle-tason sie),
sit pienempi prosessorikuorman katsotaan olevan.
:p.
Jos kynniss on useampia kuin yksi tmn tyyppinen ohjelma, ne alkavat
kilpailla hukka-ajasta.  Jos kytss on kaksi samaa ohjelmaa, niiden
molempien tulisi nytt noin 50 % prosessorikuormaa.  Jos kytss
on kaksi erilaista ohjelmaa, kuten tm ja PULSE, ne molemmat hiriintyvt.

:h1 res=60003.Miten HRTIMER.SYS-ajuri auttaa?
Kun HRTIMER.SYS on kytss, lasketaan mys kyttjrjestelmn aiheuttama
kuormitus mukaan prosessorikuormaan ja tulos on todenmukaisempi.
:p.
Prosessorikuorma mritelln vertaamalla keskenn sit kuinka paljon
idle-prioriteetin sie saa prosessoriaikaa siihen kuinka paljon
ohjelman monitoroiva aikakriittinen sie saa prosessoriaikaa.  Jos
ohjelmalla ei ole kytettviss lisapua, lasketaan normaali
kyttjrjestelmn ja sen kynniss olevien ohjelmien kuormitus
nollakuormaksi (0 %).  Jos kytss on HRTIMER.SYS tekee ohjelma
kynnistyksen yhteydess kalibroinnin jossa mritelln maksimaalinen
prosessorikuorma korkeimmalla prioriteetilla.  Tt arvoa kytetn
myhemmin vertailussa 100 % tasona.

:euserdoc.
