#include "memsize.h"
:userdoc.
:title.Segtsg a 'System Resources'-hoz
:body.

:h1 res=ID_MAIN.Bevezets
:i1.Bevezets
:artwork name='memsize.bmp' align=center.
:p.
A program tbb, a rendszererforrsokkal sszefgg elemet jelent meg,
s msodpercenknt frissti a kijelzt (mr ha elegend
CPU idt kap).  A megjelentett elemek a kvetkezk&colon.
:p.
:hp2.Dtum/Id:ehp2. - Az aktulis dtum s id, a rendszer
CONFIG.SYS fjljnak &apos.COUNTRY=&apos. sorban belltott
alaprtelmezett orszginformci szerint megadott formtumban.
:p.
:hp2.zemid:ehp2. - A legutbbi rendszerindts ta eltelt id.
:p.
:hp2.Szabad fizikai memria:ehp2. - A szabad fizikai memria
mennyisge a :hp1.DosMemAvail:ehp1. fggvny visszatrsi rtke alapjn.
:note.A fggvny a rgi 16 bites rendszer rsze, csak a
16MB alatti terletet jelzi, s az OS/2 2.0 kiadsa eltt
megvltoztattk, hogy mindig legalbb 512K-t adjon vissza.
#ifdef USE_OS20MEMU
:note.Ha az :hpt.OS20MEMU:ehpt.:hdref res=60001.
nev segdprogram s eszkzvezrlje teleptve vannak,
ez a szm helyesen jelenik meg, tbblet CPU-hasznlat
rn.
#endif

:p.
:hp2.Szabad virtulis memria:ehp2. - A rendelkezsre ll
virtulis memria mrete a :hp1.DosQuerySysInfo:ehp1. fggvny
visszatrsi rtke alapjn.
Ez a szabad fizikai memria, a jelenleg hasznlt trcserefjlbl
fennmarad hely s a trcserefjl maximlis nvekedsi mretnek
sszege mnusz a trcserre hasznlt meghajtn fenntartott szabad
hely.
:p.
:hp2.Trcserefjl mrete:ehp2. - A rendszer virtulismemria-fjljnak, a
SWAPPER.DAT-nak mrete.
A fjl megkeresshez a CONFIG.SYS fjl SWAPPATH bejegyzst hasznlja a program.
A bejegyzs megadja a trcserefjl alknyvtrnak teljes nevt,
s jelzi a trcserefjlt tartalmaz meghajtn szabadon hagyand
minimlis terlet mrett.
:p.
:hp2.Trcserhez rendelkezsre ll:ehp2. - A trcserefjlt
tartalmaz logikai meghajtn tallhat szabad terlet mnusz a minimlis
szabad terlet. Ez adja meg, szksg esetn mennyit nhet mg a trcserefjl.
:p.
:hp2.Trcserefjlbl szabad:ehp2. - Az aktulisan lefoglalt
trcserefjlban tallhat szabad terlet mrete. Ha nullra cskken,
a trcserefjlt meg kell nvelni, ltalban egy megabjtos lpsekben.
:p.
:hp2.Zsilipfjl mrete:ehp2. - A zsilipfjlok trolsra hasznlt lemezterlet mrete.
:p.
:hp2.CPU terhels (%):ehp2. - A CPU szmtsi teljestmnynek kzelt
kihasznltsga a jelen pillanatban. Az elz msodperc tlagrtke.
:note.Ez a funkci s a PULZUS nem jnnek ki jl egymssal.
:hpt.Mirt?:ehpt.:hdref res=60002.
:note.Ha teleptetted a :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.
eszkzvezrlt, a szm pontosabb lesz.
:hpt.Mirt?:ehpt.:hdref res=60003.
:p.
:hp2.Aktv feladatok szma:ehp2. - A rendszer vltlistjban,
a CTRL+ESC megnyomsra megjelen listban lthat bejegyzsek szma.
:note.A rendszer vltlistjnak nem minden eleme jelenik meg az Aktv
feladatok listjban. Egyesek megjelentse le van tiltva.
:p.
:hp2.Folyamatok szma:ehp2. - A rendszerbe jelenleg betlttt
folyamatok szma.
:p.
:hp2.Szlak szma:ehp2. - A rendszeren jelenleg fut szlak szma. Minden feladathoz legalbb egy szl tartozik.
:p.
:hp2.sszes szabad lemezterlet:ehp2. - Az sszes el nem tvolthat
lemezen (merevlemezen) tallhat szabad terlet sszege.
:p.
:hp2.X: meghajt szabad terlete:ehp2. - Az X: meghajtn tallhat szabad
lemezterlet.
:p.
Mint azt mr lthattad, a segtsg mkdik, s a rendelkezsre ll
parancsok elrhetek az ablak rendszermenjben. A kvetkez
parancsok hasznlhatk:
:sl compact.
:li.:hpt.Belltsok mentse:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Alaprtelmezsek visszalltsa:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Vezrlelemek elrejtse:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Belltsok...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Terhelsmr alaphelyzetbe:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Meghajthibk trlse:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Msols:ehpt.:hdref res=IDM_COPY.
:li.:hpt.A programrl...:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Bezrs:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
A mr lert szolgltatsok mellett a program elfogadja az OS/2 2.0 Betkszlet-
s Sznpaletta programok parancsait, s DDE kiszolglknt
mkdik az sszes megjelentett elemre nzve. A DDE alkalmazs neve
MEMSIZE, az elemek nevei megegyeznek az alaprtelmezett megjelentsi
nevekkel (pldul Szabad fizikai memria).

:h1 res=IDM_SAVE_APPLICATION.Belltsok mentse (Menelem)
:i1.Belltsok mentse (Menelem)
A menelem kivlasztsakor a program elmenti az aktulis ablakpozcit s
a Vezrlelemek elrejtse bellts rtkt. A program kvetkez
indtsakor ezen a pozcin indul jra, a vezrlelemek a mentett
llapotnak megfelelen (nem) ltszanak.
:p.
A parancs gyorsbillentyje az F2.

:h1 res=IDM_RESET_DEFAULTS.Alaprtelmezsek visszalltsa (Menelem)
:i1.Alaprtelmezsek visszalltsa (Menelem)
Az opci kivlasztsa visszalltja a program betkszlett s szneit
az alaprtelmezsre.

:h1 res=IDM_HIDE_CONTROLS.Vezrlelemek elrejtse (Menelem)
:i1.Vezrlelemek elrejtse (Menelem)
Az opci kivlasztsa elrejti a program keret-vezrlelemeit
(a rendszerikont, a cmsort s a zsugortgombot).
Az opcit ki-be kapcsolgathatod, ha dupln kattintasz valamelyik egrgombbal.
Mivel nagyon hasznosnak talltam, hogy az ablakot elrejtett vezrlelemekkel
is lehessen mozgatni, brmelyik egrgombbal vontathatra alaktottam ki.
:p.
Az Alt+H billentykombinci ugyanezt a funkcit nyjtja.

:h1 res=IDM_CONFIGURE.Belltsok (Menelem)
:i1.Belltsok (Menelem)
Az opci kivlasztsa megjelenti a program belltsra szolgl
prbeszdpanelt.
Tovbbi informcirt lsd&colon. :hpt.Belltsok (Prbeszdpanel):ehpt.:hdref res=IDD_CONFIGURE..
:note.Az opci gyorsbillentyje az Alt+C.

:h2 res=IDD_CONFIGURE.Belltsok (Prbeszdpanel)
A prbeszdpanel segtsgvel a program mkdsnek minden llthat
jellemzjt megvltoztathatod. Kilphetsz a vltoztatsok mentse nlkl,
ha megnyomod az ESCAPE billentyt vagy rkattintasz az ESC &eq. Mgsem
nyomgombra.
A vltoztatsok mentshez nyomd meg az ENTER billentyt vagy kattints az
OK nyomgombra!
.br
A bellthat elemek a kvetkezket tartalmazzk&colon.

:p.
:hp2.Megjelentend elemek:ehp2.
A Megjelentend elemek lista brmely vagy akr minden elemt kivlaszthatod, ha
az(oka)t figyeltetni s ltni akarod.
Egyszer kattintssal kijellheted brmely elemet, illetve trlheted
annak kivlasztst.
A program a kijellt elemeket figyeli.
Az elem cmkjnek megvltoztatshoz, illetve az alaprtelmezett cmke
visszalltshoz kattints dupln a ki nem jellt elemre!
Ezzel az elemet kijelld, s a megjelen prbeszdpanelben
megvltoztathatod a cmkjt.
:p.
:hp2.'K'ilobjt kijelzs:ehp2.
A rdigombok ezen csoportjval kivlaszthatod, hogy a nagy mreteket
mindig, soha, vagy csak 512K fltt szeretnd-e kilobjt jellsben
ltni.
Az alaprtelmezs szerint az 512K feletti mretek jelennek meg gy.
Ne feledd, hogy egy kilobjt valjban 1024 bjt, nem 1000!
:p.
:hp2.Megfigyelszl prioritsa:ehp2.
A vezrlmez segtsgvel bellthatod a program megfigyelszlnak
abszolt prioritst az idkritikus prioritsosztlyon bell.
A prioritsrtk 0-tl 31-ig vltozhat. A 31-es priorits a
rendszerben elrhet legmagasabb priorits a fizikai megszaktsoktl eltekintve.
A 0-s priorits egyszeren a legalacsonyabb priorits az idkritikus osztlyon bell.
Normlis esetben a pontosabb mrs elrshez ezt a lehet legmagasabbra kell belltani.
Egyesek azonban panaszkodtak, hogy kommunikcis programjaik idnknt adatot vesztenek a figyelprogram
futsa kzben, ezrt a prioritst bellthatv tettem.
:p.
:hp2.Frisstsi idkz:ehp2.
Ez hatrozza meg a figyelablak kt frisstse kzt eltel idt. rtke 1,0 msodperctl
30,0 msodpercig vltoztathat tizedmsodperces lpsekben. A megjelen szm tizedmsodpercben rtend.
:p.
:hp2.Ablakhorgony:ehp2.
Ezzel jellheted ki a megfigyelablaknak azt a sarkt, amely az ablak mretnek
megvltozsakor helyn marad. A megfigyelablak mrete megvltozhat,
ha elemeket veszel fel a listra illetve tvoltasz el onnan, vagy
a Betkszlet-paletta segtsgvel megvltoztatod a megjelentshez
hasznlt betkszletet.
:p.
:hp2.Vezrlelemek elrejtse:ehp2.
Ha a programablakot nem ikonizltad, megjelentheted a szoksos
cmsorral, rendszerikonnal s minimalizl/maximalizl gombokkal,
illetve ezek nlkl. Ha elrejted a vezrlelemeket, az ablak tovbbra
is mozgathat kzppontjnak vontatsval.
:p.
:hp2.Mindig lthat:ehp2.
A jellngyzet bekapcsolja az ablak lebegtet funkcijt.
A jellngyzetet kipiplva az ablak a tbbi ablak felett lebeg,
gy mindig lthat marad.
:p.
:hp2.Animci:ehp2.
A jellngyzet bekapcsolja az ablaknyits/zrs animci funkcit.
Ha bekapcsolod, a programablakok gy nylnak/zrdnak, mint a
gyjtobjektumok&colon. hanggal s mozgssal.
Mint a gyjtk esetn, az animci csak akkor mkdik, ha rendszerszinten
engedlyezted.

:p.
:hp2.Tblzat alak:ehp2.
Ha kipiplod, az ablak tblzat formjban lesz lthat, a bejegyzsek
sorokba s oszlopokba rendezve jelennek meg.
Az ablak optimalizlni fogja magt, hogy a lehet legkisebb fggleges kiterjedst rje el.
Ha a jellngyzet nincs kipiplva, az ablak egyetlen oszlopban jelenti meg az
sszes krt infomcit.
:p.
:hp2.Tvoli meghajtk megjelentse:ehp2.
A jellngyzetet kipiplva a jelenleg a rendszerhez kapcsold tvoli (hlzati) meghajtkat
ugyangy figyeli a program, mint a helyi nem eltvolthat meghajtk, azzal a klnbsggel,
hogy az sszes szabad lemezkapacitsba nem szmtanak bele.
:p.
:hp2.Fjlrendszernv megjelentse:ehp2.
A jellmezt kipiplva az egyes meghajtk szabad kapacitst tartalmaz
sorokban megjelenik a meghajtn hasznlt fjlrendszer neve. Az opci hasznlata szlesebb
megfigyelablakot eredmnyez.
:p.
:hp2.Lemezcmke megjelentse:ehp2.
A jellmezt kipiplva az egyes meghajtk szabad kapacitst tartalmaz
sorokban megjelenik azok lemezcmkje. Az opci hasznlata szlesebb
megfigyelablakot eredmnyez.
:p.
:hp2.Msodpercek megjelentse:ehp2.
A jellngyzet kipiplva az ra s zemid sorokban megjelennek
a msodpercek.

:p.
:hp2.Sznek:ehp2.
Ez a terlet mutatja a Norml, Figyelmeztets s Hiba szinteket tmogat elemekhez
rendelt hrom sznkszletet. A szneket gy vltoztathatod meg, hogy a rendszer
sznpalettinak valamelyikbl ide vontatod a kvnt szneket.

:h3 res=IDD_LABEL.Elemcmke belltsa (Prbeszdpanel)
A prbeszdpanel a megjelentend elemek jelenlegi s alaprtelmezett cmkit,
valamint - ha az adott elem rendelkezik ilyen belltsokkal - az aktulis
Figyelmeztets s Hiba szinteket jelenti meg.
A cmke megvltoztatshoz egyszeren rd fell az aktulis
cmkt az jjal! A hiba s figyelmeztets szint megvltoztatshoz add meg a
kvnt szintet a beviteli mezben, vagy hasznld az adott szinthez tartoz csszkt!
:p.Az Alaprtelmezs gomb megnyomsval az sszes belltst visszallthatod az
alaprtelmezett rtkekre.

:h1 res=IDM_RESETLOAD.Terhelsmr alaphelyzetbe (Menelem)
:i1.Terhelsmr alaphelyzetbe (Menelem)
Az opci segtsgvel alapllapotba hozhatod a CPU terhelsmrt,
jrakalibrlva azt. Ennek hatsra a program nem veszi figyelembe a
korbbi CPU aktivitst a szmtsok folyamn.

:h1 res=IDM_RESETDRIVES.Meghajthibk trlse (Menelem)
:i1.Meghajthibk trlse (Menelem)
Az opci segtsgvel trlheted az esetleg bekvetkezett meghajthibkat.
Ez idvel nmkden is megtrtnik, de a parancs segtsgvel azonnal is trlheted
a hibt.

:h1 res=IDM_COPY.Msols (Menelem)
:i1.Msols (Menelem)
Az opci az aktulis ablaktartalmat a vglapra helyezi kt
formtumban&colon. szvegesen s bittrkpesen. A szveges verzi
az aktulisan megjelentett elemeket mutatja szvegszerkesztbe
beilleszthet formban.  A bittrkpes vltozat az ablak pontos msolata,
grafikus szerkesztkben s nzegetkben hasznlhat.
:p.
A parancs gyorsbillentyje a Ctrl+Ins.

:h1 res=IDM_ABOUT.A programrl... (Menelem)
:i1.A programrl... (Menelem)
Az opci kivlasztsa megjelenti a programinformcit tartalmaz
prbeszdpanelt.
Tovbbi informcirt lsd&colon. :hpt.A programrl (Prbeszdpanel):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.A programrl (Prbeszdpanel)
A prbeszdpanel a program nevt, ikonjt s szerzi jogi informcijt
jelenti meg.
A prbeszdpanelbl az ENTER, SPACE vagy ESCAPE billenty
megnyomsval, illetve az OK gombra kattintva lphetsz ki.

:h1 res=IDM_EXIT.Bezrs (Menelem)
:i1.Bezrs (Menelem)
Az opci kivlasztsa a program befejezst eredmnyezi.

:h1 res=IDM_KEYS_HELP.Segtsg a billentykhz
:i1.Segtsg a billentykhz
A programban a kvetkez gyorsbillentyk hasznlhatk&colon.
:sl compact.
:li.F1 - Segtsg
:li.F2 - Belltsok mentse
:li.F3 - Bezrs
:li.Alt+C - Belltsok
:li.Alt+H - Vezrlelemek elrejtse
:li.Ctrl+Ins - Msols
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Belltsfjl elrsi tvonala (Prbeszdpanel)
:i1.Belltsfjl elrsi tvonala (Prbeszdpanel)
Ez a prbeszdpanel akkor jelenik meg, ha a program nem tallja a belltsokat
tartalmaz (INI) fjlt, s megkrdezi, hol van a fjl, illetve hol hozza ltre.
:p.
Csak rvnyes, ltez alknyvtrnv fogadhat el.
A nv megadsa utn a program folytatshoz nyomd meg az ENTER
billentyt vagy kattints az OK nyomgombra!
:p.
Ha le akarod lni a program inicializl lpseit, nyomd meg az
ESC billentyt vagy kattints az ESC = Mgsem gombra!

:h1 res=60000.HRTIMER - High Resolution Timer (nagyfelbonts idzt) eszkzvezrl
A nagyfelbonts idzt eszkzvezrl, a HRTIMER.SYS segtsgvel a program
hozzfrhet az IBM PC-kben tallhat, egybknt nem hasznlt
idzt-ramkrhz. Ennek felbontsa 840 nanoszekundum, 64K-szor jobb,
mint a norml idzt 55 milliszekundumos felbontsa.
:p.
Azok a helyek, ahol biztosan tudom, hogy ez a program elrhet, a kvetkezk&colon.
:hp4.CompuServe:ehp4.,
ahol a program az
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4.
:hp4.Device Driver Development:ehp4.
knyvtrban tallhat
:hp4.TIMER.ZIP:ehp4. nven, illetve
az
:hp4.ftp.cdrom.com:ehp4.
s a
:hp4.hobbes.nmsu.edu:ehp4.
anonymous ftp kiszolglk.
A fjl a
:hp4./pub/os2/dev16:ehp4.
alknyvtrban,
:hp4.hrtimer.zip:ehp4.
nven tallhat.
:p.Az eszkzmeghajt forrskdja az IBM Personal Systems Developer magazin
1991. szi szmban tallhat. A program freeware, de a szerzi jog
az IBM birtokban van.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - OS/2 memriafelhasznlsi trkp
Az OS20MEMU nev segdprogram specilis eszkzvezrljvel,
kpernyfjljaival s DLL-jeivel lehetv teszi, hogy
kimert mlysg kpet kapj az OS/2 rendszereden fut programok
s magnak a rendszernek a memriahasznlatrl.
:p.Azok a helyek, ahol biztosan tudom, ez a program elrhet,
a kvetkez anonymous ftp kiszolglk&colon.
:hp4.ftp.cdrom.com:ehp4.
s
:hp4.hobbes.nmsu.edu:ehp4..
A fjl a
:hp4./pub/os2/textutil:ehp4.,
alknyvtrban tallhat
:hp4.20memu.zip:ehp4.
nven.
:p.Az OS20MEMU freeware, rja s a szerzi jog birtokosa az IBM.
:note.Gyzdj meg rla, hogy az 1994. novemberi (vagy jabb) verzit hasznlod,
az ezt megelz vltozatok ugyanis Warp alatt nem mkdnek!
#endif

:h1 res=60002.Mi a PULZUS-konfliktus oka?
Ez a program, mint ahogy a PULZUS, a CPULOAD, CPUMETER s ms,
a szmtgp kihasznltsgt mr programok, ezt a legalacsonyabb
prioritssal elvgezhet munka mennyisgt mrve teszi. Ktsgkvl, ha ezek a programok brmit is
kpesek tenni ezen a prioritson, azt a rendszer ttlensgnek
idejn teszik. Ha nincs ttlensgi id, a szmtgp 100%-ig
ki van hasznlva. Minl tbb munkt vgez a ttlen priorits
program, annl kevsb foglalt a gp.
:p.A problma az, hogy ha egyszerre egynl tbb ilyen programot
futtatsz, azok versengeni fognak a ttlensgi idrt. Ha ugyanannak a programnak kt pldnyt futtatnd, s semmi mst,
mindkett krlbell 50% CPU terhelst jelezne. Ha kt eltr
programot futtatsz, mint pldul ez s a PULZUS, az mindkettre
hatssal lesz, de ltalban eltr mrtkben.

:h1 res=60003.Hogyan segt a HRTIMER.SYS?
Ha telepted a HRTIMER.SYS-t, a rendszer holtideje is megjelenik a CPU terhelsben.
:p.
A CPU terhels meghatrozshoz a ttlen priorits program munkjt
az eddigi legmagasabb teljestmnnyel hasonltja ssze a program.
Tovbbi informci nlkl a rendszer norml httrtevkenysge
nulla terhelsnek ltszik. Ha rendszeredre teleptetted a HRTIMER.SYS-t,
a program kalibrlciklust futtat indulskor, hogy meghatrozza
a legmagasabb prioritssal elvgezhet munka mennyisgt.
Ezt a mennyisget hasznlja ksbb az sszehasonltshoz.

:euserdoc.
